Bug 442063 - Is the dependency on Gedit really necessary?
Is the dependency on Gedit really necessary?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vegastrike (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 11:16 EDT by Joonas Sarajärvi
Modified: 2008-04-13 16:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-13 16:29:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joonas Sarajärvi 2008-04-11 11:16:40 EDT
Description of problem:
Installing Vegastrike draws in Gedit, which, to me, seems quite unrelated. Is it
really necessary to have Gedit around on a KDE system just to play Vegastrike?
Just needing the Gnome libraries is undetstandable and ok, but unused
applications also tend to litter the desktop environment menus.

Version-Release number of selected component (if applicable):
vegastrike.i386                          0.4.3-8.fc9
Comment 1 Hans de Goede 2008-04-13 16:29:15 EDT
vegastrike depends on gedit to (graphically) show the user its readme when the
users asks it too, I've replaced this with the desktop-neutral xdg-open command
instead (which under gnome still opens the readme with gedit).

0.4.3-9, which fixes this is on its way to rawhide (it most likely won't show up
there for a while due the freeze for F-9):

* Sun Apr 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-9
- Use xdg-open instead of gedit to show the user the readme (bz 442063)

Note You need to log in before you can comment on or make changes to this bug.